package com.engine.demo.entity.invoice;

import lombok.*;

@Getter
@Setter
@EqualsAndHashCode
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class Invoice {
    // 发票主键
    private String fpzj;
    // 发票类型ID
    private String fplxid;
    // 发票类型编号
    private String fplxbh;
    // 发票种类编号
    private String fpzlbh;
    // 购买方名称
    private String gmfmc;
    // 购买方信息纳税人识别号
    private String gmfxxnsrsbh;
    // 购买方信息地址
    private String gmfxxdz;
    // 购买方信息电话
    private String gmfxxdh;
    // 购买方信息开户行
    private String gmfxxkhx;
    // 购买方信息开户行账号
    private String gmfxxkhxzh;
    // 销售方名称
    private String xsfmc;
    // 销售方信息纳税识别号
    private String xsfxxnssbh;
    // 销售方地址
    private String xsfdz;
    // 销售方电话
    private String xsfdh;
    // 销售方开户银行
    private String xsfkhyx;
    // 销售方开户行账号
    private String xsfkhxzh;
    // 校验码
    private String xym;
    // 发票号码
    private String fphm;
    // 发票代码
    private String fpdm;
    // 发票日期
    private String fprq;
    // 发票金额
    private String fpje;
    // 不含税额
    private String bhse;
    // 税额
    private String se;
    // 备注
    private String bz;
    // 发票标签
    private String fpbq;
    // 发票分类
    private String fpfl;
    // 发票分类名称
    private String fpflmc;
    // 发票内容
    private String fpnr;
    // 验真状态
    private String yzzt;
    // 报销状态
    private String bxzt;
    // 租户
    private String zh;
    // 单位编号
    private String dwbh;
    // 员工编号
    private String ygbh;
    // 文件类型
    private String wjlx;
    // 创建时间
    private String cjsj;
    // 创建人
    private String cjr;
    // 最后修改时间
    private String zhxgsj;
    // 最后修改人
    private String zhxgr;
    // 影像路径
    private String yxlj;
    // 是否转移
    private String sfzy;
    // 转移人编号
    private String zyrbh;
}
