package com.engine.demo.entity.travelBorrow;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.*;

@Getter
@Setter
@EqualsAndHashCode
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class TravelBorrow {
    // 单据名称
    @ExcelProperty({"单据名称"})
    private String djmc;
    // 单据编号
    @ExcelProperty({"单据编号"})
    private String djbh;
    // 借款单位编号
    @ExcelProperty({"借款单位编号"})
    private String jkdwbh;
    // 部门编号
    @ExcelProperty({"部门编号"})
    private String bmbh;
    // 单据状态
    @ExcelProperty({"单据状态"})
    private String djzt;
    // 借款人编号
    @ExcelProperty({"借款人编号"})
    private String jkrbh;
    // 单据日期
    @ExcelProperty({"单据日期"})
    private String djrq;
    // 费用项目编号
    @ExcelProperty({"费用项目编号"})
    private String fyxmbh;
    // 附件张数
    @ExcelProperty({"附件张数"})
    private String fjzs;
    // 科研项目名称
    @ExcelProperty({"科研项目名称"})
    private String kyxmmc;
    // 人员职务
    @ExcelProperty({"人员职务"})
    private String ryzw;
    // 人员职务编号
    @ExcelProperty({"人员职务编号"})
    private String ryzwbh;
    // 摘要信息
    @ExcelProperty({"摘要信息"})
    private String zyxx;
    // 申请金额
    @ExcelProperty({"申请金额"})
    private String sqje;
    // 报销已冲销申请金额
    @ExcelProperty({"报销已冲销申请金额"})
    private String bxycxsqje;
    // 借款金额
    @ExcelProperty({"借款金额"})
    private String jkje;
    // 制单人编号
    @ExcelProperty({"制单人编号"})
    private String zdrbh;
    // 是否委托
    @ExcelProperty({"是否委托"})
    private String sfwt;
    // 受托人
    @ExcelProperty({"受托人"})
    private String str;
}
