package com.engine.demo.entity.travelReimbur;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.*;

@Getter
@Setter
@EqualsAndHashCode
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class TravelReimbur {
    // 单据名称
    @ExcelProperty({"单据名称"})
    private String djmc;
    // 单据编号
    @ExcelProperty({"单据编号"})
    private String djbh;
    // 单位编号
    @ExcelProperty({"单位编号"})
    private String dwbh;
    // 部门编号
    @ExcelProperty({"部门编号"})
    private String bmbh;
    // 单据状态
    @ExcelProperty({"单据状态"})
    private String djzt;
    // 报销人员编号
    @ExcelProperty({"报销人员编号"})
    private String bxrybh;
    // 人员职务
    @ExcelProperty({"人员职务"})
    private String ryzw;
    // 人员职务编号
    @ExcelProperty({"人员职务编号"})
    private String ryzwbh;
    // 人员职级id
    @ExcelProperty({"人员职级id"})
    private String ryzjid;
    // 人员职级
    @ExcelProperty({"人员职级"})
    private String ryzj;
    // 出差类型
    @ExcelProperty({"出差类型"})
    private String cclx;
    // 出差地点
    @ExcelProperty({"出差地点"})
    private String ccdd;
    // 出差开始日期
    @ExcelProperty({"出差开始日期"})
    private String ccksrq;
    // 出差结束日期
    @ExcelProperty({"出差结束日期"})
    private String ccjsrq;
    // 出差天数
    @ExcelProperty({"出差天数"})
    private String ccts;
    // 项目名称
    @ExcelProperty({"项目名称"})
    private String xmmc;
    // 核算项目类别
    @ExcelProperty({"核算项目类别"})
    private String hsxmlb;
    // 可抵扣税额
    @ExcelProperty({"可抵扣税额"})
    private String kdkse;
    // 附件张数
    @ExcelProperty({"附件张数"})
    private String fjzs;
    // 联系电话
    @ExcelProperty({"联系电话"})
    private String lxdh;
    // 报账金额
    @ExcelProperty({"报账金额"})
    private String bzje;
    // 费用日期
    @ExcelProperty({"费用日期"})
    private String fyrq;
    // 是否存在超标费用
    @ExcelProperty({"是否存在超标费用"})
    private String sfczcbfy;
    // 出差事由
    @ExcelProperty({"出差事由"})
    private String ccsy;
    // 实报金额
    @ExcelProperty({"实报金额"})
    private String sbje;
    // 实付金额
    @ExcelProperty({"实付金额"})
    private String sfje;
    // 稽核金额
    @ExcelProperty({"稽核金额"})
    private String jhje;
    // 费用项目内码
    @ExcelProperty({"费用项目内码"})
    private String fyxmnm;
    // 制单人编号
    @ExcelProperty({"制单人编号"})
    private String zdrbh;
    // 是否委托
    @ExcelProperty({"是否委托"})
    private String sfwt;
    // 受托人
    @ExcelProperty({"受托人"})
    private String str;
}
