package com.engine.demo.entity.travelReimbur;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.*;

@Getter
@Setter
@EqualsAndHashCode
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class TravelReimburDt1 {
    // 报销单内码
    @ExcelProperty({"报销单内码"})
    private String bxdnm;
    // 出发城市
    @ExcelProperty({"出发城市"})
    private String cfcs;
    // 出发日期
    @ExcelProperty({"出发日期"})
    private String cfrq;
    // 交通工具
    @ExcelProperty({"交通工具"})
    private String jtgj;
    // 坐席等级
    @ExcelProperty({"坐席等级"})
    private String zxdj;
    // 车船_航班/次
    @ExcelProperty({"车船_航班/次"})
    private String cchbc;
    // 机票折扣
    @ExcelProperty({"机票折扣"})
    private String jpzk;
    // 到达城市
    @ExcelProperty({"到达城市"})
    private String ddcs;
    // 到达日期
    @ExcelProperty({"到达日期"})
    private String ddrq;
    // 出差天数
    @ExcelProperty({"出差天数"})
    private String ccts;
    // 车船费
    @ExcelProperty({"车船费"})
    private String ccf;
    // 住宿费标准
    @ExcelProperty({"住宿费标准"})
    private String zsfbz;
    // 住宿天数
    @ExcelProperty({"住宿天数"})
    private String zsts;
    // 住宿费
    @ExcelProperty({"住宿费"})
    private String zsf;
    // 住宿费是否超标
    @ExcelProperty({"住宿费是否超标"})
    private String zsfsfcb;
    // 住宿超标说明
    @ExcelProperty({"住宿超标说明"})
    private String zscbsm;
    // 保险及核酸检测费
    @ExcelProperty({"保险及核酸检测费"})
    private String bxjhsjcf;
    // 其他超标费用
    @ExcelProperty({"其他超标费用"})
    private String qtcbfy;
    // 超标费用说明
    @ExcelProperty({"超标费用说明"})
    private String cbfysm;
    // 补助金额
    @ExcelProperty({"补助金额"})
    private String bzje;
    // 报销金额
    @ExcelProperty({"报销金额"})
    private String bxje;
    // 是否存在超标费用2
    @ExcelProperty({"是否存在超标费用2"})
    private String sfczcbfy2;
}
