package com.engine.demo.service.impl;

import com.engine.core.impl.Service;
import com.engine.demo.cmd.ExportFjZipCmd;
import com.engine.demo.cmd.WorkflowExcelDataCmd;
import com.engine.demo.cmd.WorklowBatchExportCmd;
import com.engine.demo.service.WorkflowExcelService;
import com.engine.demo.util.ExportFjUtil;
import net.sf.json.JSONArray;
import org.apache.commons.lang3.StringUtils;
import weaver.conn.RecordSet;
import weaver.general.BaseBean;
import weaver.general.Util;
import weaver.hrm.User;

import javax.ws.rs.core.Response;
import java.io.File;
import java.io.UnsupportedEncodingException;
import java.nio.charset.StandardCharsets;
import java.text.SimpleDateFormat;
import java.util.*;

public class WorkflowExcelServiceImpl extends Service implements WorkflowExcelService {

    BaseBean bb = new BaseBean();
    @Override
    public Map<String, Object> WorklowBatchExport(Map<String, Object> params, User user) {
        return commandExecutor.execute(new WorklowBatchExportCmd(params, user));
    }

    @Override
    public Map<String, Object> WorkflowExcelData(Map<String, Object> params, User user) {
        return commandExecutor.execute(new WorkflowExcelDataCmd(params, user));
    }

    @Override
    public Map<String, Object> exportFjZip(Map<String, Object> params, User user) {
        return commandExecutor.execute(new ExportFjZipCmd(params, user));
    }

}
